[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComboEx' (#lcl)

# TCustomCheckCombo.OnItemChange

Event handler signalled when the state for a check box in the control is changed.

## Declaration

Source position: comboex.pas line 329

`public property TCustomCheckCombo.OnItemChange : TCheckItemChange read FOnItemChange write FOnItemChange;`

## Description

OnItemChange is a TCheckItemChange property with the event handler signalled when a value in the Checked or State properties is changed. Arguments passed to the event handler identify the object for the event notification, and the ordinal position in Items for the modified check box.

## See also

TCustomCheckCombo.Checked |  | Provides indexed access to the Boolean value for a check box defined in Items.
TCustomCheckCombo.State |  | Provides indexed access to the checked State for a check box defined in Items.
TCustomComboBox.Items |  | The list of items displayed in the combo-box control.